import webbrowser
from Modules.submenu import build_submenu

def analysis_domain_submenu():
    """
    Submenu for domain analysis tools and resources.
    """
    actions = {
        "1": {"description": "UrlScan", "function": open_urlscan},
        "2": {"description": "Wannabrowser", "function": open_wannabrowser},
        "3": {"description": "Browserling", "function": open_browserling},
        "4": {"description": "Kasm", "function": open_kasm},
        "5": {"description": "URL2PNG", "function": open_url2png},
    }
    build_submenu("Domain Analysis Tools", actions)

# Functions to open each link
def open_urlscan():
    """
    Open UrlScan website.
    """
    url = "https://urlscan.io/"
    webbrowser.open(url)
    print(f"Opening: {url}")

def open_wannabrowser():
    """
    Open Wannabrowser website.
    """
    url = "https://www.wannabrowser.net/"
    webbrowser.open(url)
    print(f"Opening: {url}")

def open_browserling():
    """
    Open Browserling website.
    """
    url = "https://www.browserling.com/"
    webbrowser.open(url)
    print(f"Opening: {url}")

def open_kasm():
    """
    Open Kasm website.
    """
    url = "https://www.kasmweb.com/"
    webbrowser.open(url)
    print(f"Opening: {url}")

def open_url2png():
    """
    Open URL2PNG website.
    """
    url = "https://www.url2png.com/"
    webbrowser.open(url)
    print(f"Opening: {url}")

